%define builddir $RPM_BUILD_DIR/%{name}-%{version}

Name:		firelogd
Version:	%{version}
Release:	%{release}
Packager:	Ian Jones roux@speakeasy.org
URL:		http://www.speakeasy.org/~roux/dmn/
Source:         %{name}-%{version}-%{release}.tgz
Group:		System Environment/Daemons
Copyright:	No Restrictions
Summary:	Firewall Log Daemon and Utility

%description
Firewall Log Daemon
firelogd is a daemon and utility for processing firewall logs generated
by ipchains or iptables (netfilter). In daemon mode it will parse log entries
in (nearly) real time and mail you alerts. It can also be used as a filter
in a shell script to reformat and resolve log entries.

%prep
%setup -n %{name}-%{version}

%build
make

%install
make setup
make firelogd
make install

%pre
test -p /var/log/kernelpipe || mkfifo /var/log/kernelpipe
chmod 0600 /var/log/kernelpipe
cp -f /etc/syslog.conf ./syslog.conf-original
grep -q kernelpipe /etc/syslog.conf || \
echo "kern.info				|/var/log/kernelpipe" >> \
/etc/syslog.conf
/etc/rc.d/init.d/syslog restart

%post
echo "Starting: Firewall Log Daemon"
/etc/rc.d/init.d/firelogd start

%preun
/etc/rc.d/init.d/firelogd stop
chkconfig --del firelogd

%postun
cat /etc/syslog.conf > /etc/syslog.conf-backup
grep -v kernelpipe /etc/syslog.conf-backup > /etc/syslog.conf
/etc/rc.d/init.d/syslog restart && rm -f /etc/syslog.conf-backup
test -d /usr/doc/firelogd && rmdir /usr/doc/firelogd

%files -f FILES

